Bug 127921 - CAN-2004-0685 usb sparse fixes in 2.4
CAN-2004-0685 usb sparse fixes in 2.4
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-15 07:59 EDT by Mark J. Cox (Product Security)
Modified: 2015-01-04 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-21 05:04:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2004-07-15 07:59:16 EDT
Back in October 2003 Arnaldo commited some fixes prior to 2.6 for some
leaking info to userspace in the usb drivers:
http://linux.bkbits.net:8080/linux-2.6/cset@3f986b35LyBKc-OxB8G6k22oOjgYTQ

The corresponding changes have not been commited to 2.4, or included in
the previous sparse fixes.  So I've assigned them CAN-2004-0685 (for 2.4
only, as they were fixed before 2.6.0).   Treat as public.

Only affects FC1
Comment 1 Mark J. Cox (Product Security) 2004-07-28 06:43:32 EDT
Now fixed upstream
http://linux.bkbits.net:8080/linux-2.4/cset@410582380U3H9KOx8J2YZmMT0bhXQw

Comment 2 Mark J. Cox (Product Security) 2004-09-21 05:04:35 EDT
FC1 transferred:
http://www.redhat.com/archives/fedora-announce-list/2004-September/msg00026.html

Note You need to log in before you can comment on or make changes to this bug.